﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using ZedAxisOnline.Data.EF;

namespace ZedAxisOnline.Data.EF.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    partial class ApplicationDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.AmazonConnection", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AccessToken")
                        .IsRequired();

                    b.Property<string>("AmazonUserId");

                    b.Property<DateTime>("CreatedOn");

                    b.Property<DateTime>("ExpireOn");

                    b.Property<DateTime>("ModifiedOn");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AmazonConnection");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTransactionTypeId");

                    b.Property<string>("Name");

                    b.Property<int>("SequenceNumber");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTransactionTypeId");

                    b.ToTable("ConnectionTransactionColumn");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTypeId");

                    b.Property<string>("EventName");

                    b.Property<string>("TransType");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTypeId");

                    b.ToTable("ConnectionTransactionType");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("ConnectionType");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.Mapping", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTransactionTypeId");

                    b.Property<DateTime>("CreatedOn");

                    b.Property<DateTime>("ModifiedOn");

                    b.Property<string>("Name");

                    b.Property<int>("QuickbookTransactionTypeId");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTransactionTypeId");

                    b.HasIndex("QuickbookTransactionTypeId");

                    b.HasIndex("UserId");

                    b.ToTable("Mapping");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.MappingDetail", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("ConnectionTransactionColumnId");

                    b.Property<string>("ConstantValue");

                    b.Property<int?>("MappingFunctionId");

                    b.Property<int>("MappingId");

                    b.Property<int>("QuickbookTransactionColumnId");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTransactionColumnId");

                    b.HasIndex("MappingFunctionId");

                    b.HasIndex("MappingId");

                    b.HasIndex("QuickbookTransactionColumnId");

                    b.ToTable("MappingDetail");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.MappingFunction", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreatedOn");

                    b.Property<DateTime>("ModifiedOn");

                    b.Property<string>("Name");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("MappingFunction");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.MappingFunctionDetail", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Expression");

                    b.Property<int>("MappingFunctionId");

                    b.Property<string>("ReplaceWith");

                    b.Property<string>("SearchFor");

                    b.HasKey("Id");

                    b.HasIndex("MappingFunctionId");

                    b.ToTable("MappingFunctionDetail");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookAccountSetting", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AssetAccount");

                    b.Property<string>("AssetAccountId");

                    b.Property<string>("COGSAccount");

                    b.Property<string>("COGSAccountId");

                    b.Property<DateTime>("CreateOn");

                    b.Property<string>("IncomeAccount");

                    b.Property<string>("IncomeAccountId");

                    b.Property<string>("TaxCode");

                    b.Property<string>("TaxCodeId");

                    b.Property<string>("Type");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("QuickbookAccountSetting");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookImportSummary", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreatedDate");

                    b.Property<string>("Error");

                    b.Property<string>("ImportType");

                    b.Property<bool>("IsImported");

                    b.Property<bool>("IsShow");

                    b.Property<int>("MappingId");

                    b.Property<string>("Message");

                    b.Property<string>("Status");

                    b.Property<string>("TransactionId");

                    b.Property<DateTime>("UpdatedDate");

                    b.Property<int>("UserId");

                    b.Property<string>("ViewUrl");

                    b.HasKey("Id");

                    b.HasIndex("MappingId");

                    b.HasIndex("UserId");

                    b.ToTable("QuickbookImportSummary");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookSampleData", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTransactionColumnId");

                    b.Property<string>("SampleData1");

                    b.Property<string>("SampleData2");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTransactionColumnId");

                    b.HasIndex("UserId");

                    b.ToTable("QuickbookSampleData");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookTransactionColumn", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name");

                    b.Property<int>("QuickbookTransactionTypeId");

                    b.Property<int>("SequenceNumber");

                    b.HasKey("Id");

                    b.HasIndex("QuickbookTransactionTypeId");

                    b.ToTable("QuickbookTransactionColumn");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookTransactionType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("QuickbookTransactionType");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("Role");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreatedOn");

                    b.Property<string>("Email")
                        .HasMaxLength(100);

                    b.Property<string>("FirstName")
                        .HasMaxLength(30);

                    b.Property<bool>("IsActive");

                    b.Property<DateTime>("LastActive");

                    b.Property<string>("LastName")
                        .HasMaxLength(30);

                    b.Property<DateTime>("ModifiedOn");

                    b.Property<byte[]>("PasswordHash");

                    b.Property<byte[]>("PasswordSalt");

                    b.Property<string>("Photo")
                        .HasMaxLength(50);

                    b.Property<string>("QuickbookSub");

                    b.Property<int>("RoleId");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("User");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.UserQuickbookConnection", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AccessToken");

                    b.Property<string>("CompanyName");

                    b.Property<string>("CountryVersion");

                    b.Property<DateTime>("CreatedOn");

                    b.Property<DateTime>("ExpireOn");

                    b.Property<bool>("IsActive");

                    b.Property<bool>("IsCurrentCompany");

                    b.Property<string>("RealmId");

                    b.Property<string>("RefreshToken");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("UserQuickbookConnection");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoConnection", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AuthToken")
                        .IsRequired();

                    b.Property<string>("ConnectionName");

                    b.Property<DateTime>("CreatedOn");

                    b.Property<DateTime>("ModifiedOn");

                    b.Property<string>("OrganizationId");

                    b.Property<string>("OrganizationName");

                    b.Property<int>("UserId");

                    b.Property<string>("WebhookUrl");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("ZohoConnection");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoInvoice", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("IsImported");

                    b.Property<int>("MappingId");

                    b.Property<string>("billing_address_city");

                    b.Property<string>("billing_address_country");

                    b.Property<string>("billing_address_state");

                    b.Property<string>("billing_address_zip");

                    b.Property<string>("currency_code");

                    b.Property<string>("customer_name");

                    b.Property<string>("email");

                    b.Property<DateTime>("invoice_date");

                    b.Property<string>("invoice_id");

                    b.Property<string>("shipping_address_city");

                    b.Property<string>("shipping_address_country");

                    b.Property<string>("shipping_address_state");

                    b.Property<string>("shipping_address_street");

                    b.Property<string>("shipping_address_zip");

                    b.Property<string>("status");

                    b.Property<double>("total");

                    b.HasKey("Id");

                    b.HasIndex("MappingId");

                    b.ToTable("ZohoInvoice");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoInvoiceItem", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ZohoInvoiceId");

                    b.Property<string>("description");

                    b.Property<string>("discount_amount");

                    b.Property<string>("item_id");

                    b.Property<string>("item_total");

                    b.Property<string>("name");

                    b.Property<string>("price");

                    b.Property<string>("quantity");

                    b.HasKey("Id");

                    b.HasIndex("ZohoInvoiceId");

                    b.ToTable("ZohoInvoiceItem");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.AmazonConnection", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("AmazonConnections")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", "ConnectionTransactionType")
                        .WithMany("ConnectionTransactionColumns")
                        .HasForeignKey("ConnectionTransactionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionType", "ConnectionType")
                        .WithMany("ConnectionTransactionTypes")
                        .HasForeignKey("ConnectionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.Mapping", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", "ConnectionTransactionType")
                        .WithMany("Mappings")
                        .HasForeignKey("ConnectionTransactionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.QuickbookTransactionType", "QuickbookTransactionType")
                        .WithMany("Mappings")
                        .HasForeignKey("QuickbookTransactionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("Mappings")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.MappingDetail", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", "ConnectionTransactionColumn")
                        .WithMany("MappingDetails")
                        .HasForeignKey("ConnectionTransactionColumnId")
                        .OnDelete(DeleteBehavior.SetNull);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.MappingFunction", "MappingFunction")
                        .WithMany("MappingDetails")
                        .HasForeignKey("MappingFunctionId")
                        .OnDelete(DeleteBehavior.SetNull);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.Mapping", "Mapping")
                        .WithMany("MappingDetails")
                        .HasForeignKey("MappingId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.QuickbookTransactionColumn", "QuickbookTransactionColumn")
                        .WithMany("MappingDetails")
                        .HasForeignKey("QuickbookTransactionColumnId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.MappingFunction", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("MappingFunctions")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.MappingFunctionDetail", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.MappingFunction", "MappingFunction")
                        .WithMany("MappingFunctionDetails")
                        .HasForeignKey("MappingFunctionId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookAccountSetting", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("QuickbookAccountSettings")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookImportSummary", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.Mapping", "Mapping")
                        .WithMany("QuickBookImportSummarys")
                        .HasForeignKey("MappingId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("QuickBookImportSummarys")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookSampleData", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", "ConnectionTransactionColumn")
                        .WithMany("QuickBookSampleData")
                        .HasForeignKey("ConnectionTransactionColumnId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("QuickBookSampleData")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookTransactionColumn", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.QuickbookTransactionType", "QuickbookTransactionType")
                        .WithMany("QuickbookTransactionColumns")
                        .HasForeignKey("QuickbookTransactionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.User", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.Role", "Role")
                        .WithMany("Users")
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.UserQuickbookConnection", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("UserQuickbookConnections")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoConnection", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("ZohoConnections")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoInvoice", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.Mapping", "Mapping")
                        .WithMany("ZohoInvoice")
                        .HasForeignKey("MappingId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoInvoiceItem", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ZohoInvoice", "ZohoInvoice")
                        .WithMany("ZohoInvoiceItems")
                        .HasForeignKey("ZohoInvoiceId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
